# Class IntegerSyntax

java.lang.Object
javax.print.attribute.IntegerSyntax

All Implemented Interfaces:
  `Serializable, Cloneable`

Direct Known Subclasses:
  `Copies, JobImpressions, JobImpressionsCompleted, JobKOctets, JobKOctetsProcessed, JobMediaSheets, JobMediaSheetsCompleted, JobPriority, JobPrioritySupported, NumberOfDocuments, NumberOfInterveningJobs, NumberUp, PagesPerMinute, PagesPerMinuteColor, QueuedJobCount`

public abstract class IntegerSyntax extends Object implements Serializable, Cloneable
Class `IntegerSyntax` is an abstract base class providing the common implementation of all attributes with integer values.

Under the hood, an integer attribute is just an integer. You can get an integer attribute's integer value by calling `getValue()`. An integer attribute's integer value is established when it is constructed (see `IntegerSyntax(int)`). Once constructed, an integer attribute's value is immutable.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`IntegerSyntax(int value)`
Construct a new integer attribute with the given integer value.
`protected`
`IntegerSyntax(int value, int lowerBound, int upperBound)`
Construct a new integer attribute with the given integer value, which must lie within the given range.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object object)`
Returns whether this integer attribute is equivalent to the passed in object.
`int`
`getValue()`
Returns this integer attribute's integer value.
`int`
`hashCode()`
Returns a hash code value for this integer attribute.
`String`
`toString()`
Returns a string value corresponding to this integer attribute.

### Methods declared in class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### IntegerSyntax

protected IntegerSyntax(int value)
Construct a new integer attribute with the given integer value.

Parameters:
  `value` - Integer value

### IntegerSyntax

protected IntegerSyntax(int value, int lowerBound, int upperBound)
Construct a new integer attribute with the given integer value, which must lie within the given range.

Parameters:
  `value` - Integer value
  `lowerBound` - Lower bound
  `upperBound` - Upper bound
Throws:
  `IllegalArgumentException` - if `value` is less than `lowerBound` or greater than `upperBound`

## Method Details

### getValue

public int getValue()
Returns this integer attribute's integer value.

Returns:
  the integer value

### equals

public boolean equals(Object object)
Returns whether this integer attribute is equivalent to the passed in object. To be equivalent, all of the following conditions must be true:

1. `object` is not `null`.
2. `object` is an instance of class `IntegerSyntax`.
3. This integer attribute's value and `object`'s value are equal.

Overrides:
  `equals` in class `Object`
Parameters:
  `object` - `Object` to compare to
Returns:
  `true` if `object` is equivalent to this integer attribute, `false` otherwise
See Also:
  - `Object.hashCode()`
  - `HashMap`

### hashCode

public int hashCode()
Returns a hash code value for this integer attribute. The hash code is just this integer attribute's integer value.

Overrides:
  `hashCode` in class `Object`
Returns:
  a hash code value for this object
See Also:
  - `Object.equals(java.lang.Object)`
  - `System.identityHashCode(Object)`

### toString

public String toString()
Returns a string value corresponding to this integer attribute. The string value is just this integer attribute's integer value converted to a string.

Overrides:
  `toString` in class `Object`
Returns:
  a string representation of the object